extends Spatial

var lab 
var tim
var size = 0.019
export var col = Color8(255,255,255)

func _ready():
	scale=Vector3(1,1,1)*size

func nag():
	lab = Label3D.new()
	lab.text = "transport error"
	lab.color = col
	lab.power = 3
	add_child(lab)
	tim = Timer.new()
	tim.wait_time = 2
	add_child(tim)
	tim.start()
	tim.one_shot=true
	tim.connect("timeout",self,"destruct")

func destruct():
	for n in [lab,tim]:
		n.queue_free()
